@()

<script type="text/ng-template" id="callMgtDialog.html">
    <div class="modal-header forward-header">
        {{'CALL_MAN_HEADER_TITLE' | translate}}
    </div>
    <div class="modal-body"> 
        <div class="modal-device-selection" ng-if="ctrl.isUniqueAccount()">
            <div class="modal-option centered">{{'TOGGLE_UA_DEVICE' | translate}}</div>
                <div class="logos-switch">
                    <i class="switch-icon-webrtc xivo-webrtc" ng-class="{'active': ctrl.uaDeviceSelected === 'webrtc'}" ></i>
                    <i class="switch-icon-phone xivo-tel-fixe" ng-class="{'active': ctrl.uaDeviceSelected === 'phone'}"></i>
            </div>
            <div class="btn-group device-selection">
                <label class="btn btn-primary ua-switch-buttons ua-switch-webrtc"
                    ng-model="ctrl.uaDeviceSelected" ng-disabled="!ctrl.canSwitchDevice()"
                    uib-btn-radio="'webrtc'">{{ctrl.isElectron() ? 'WEBRTC_ELECTRON_SWITCH' : 'WEBRTC_SWITCH' | translate}}</label>
                <label class="btn btn-primary ua-switch-buttons ua-switch-phone"
                    ng-model="ctrl.uaDeviceSelected" ng-disabled="!ctrl.canSwitchDevice()"
                    uib-btn-radio="'phone'">{{'DESKPHONE_SWITCH' | translate}}</label>
            </div>
            <hr class="forward-separator"/>
        </div>
       
        <div class="modal-device-selection" ng-if="!ctrl.isUniqueAccount() && ctrl.mobileAppIsActivated()">
            <div class="modal-option centered">{{'TOGGLE_DEVICE' | translate}}</div>
            <div class="logos-switch">
            <i class="switch-icon-webrtc xivo-webrtc" ng-class="{'active': ctrl.userPreferenceModel['phone']}" ></i>
            <i class="switch-icon-mobile xivo-mobile" ng-class="{'active': ctrl.userPreferenceModel['mobile']}"></i>
            </div>
            <button class="delete-mobile-app" ng-class="ctrl.lightened()" ng-click="ctrl.deleteMobileApp()" title="{{'UNREGISTER_MOBILE_APP' | translate}}">
                <i class="fas fa-link icon-link"></i>
                <i class="fas fa-unlink icon-unlink"></i>
            </button>
            <div class="btn-group device-selection">
                <label class="btn btn-primary mobile-switch-buttons mobile-switch-phone-button"
                    uib-btn-checkbox ng-model="ctrl.userPreferenceModel.phone" ng-click="ctrl.onclickPhone()"
                    ng-disabled="!ctrl.canSwitchDevice()">
                    {{ctrl.isElectron() ? 'WEBRTC_ELECTRON_SWITCH' : 'WEBRTC_SWITCH' | translate}}
                </label>
                <label class="btn btn-primary mobile-switch-buttons mobile-switch-mobile-button"
                    uib-btn-checkbox ng-model="ctrl.userPreferenceModel.mobile" ng-click="ctrl.onclickMobile()"
                    ng-disabled="!ctrl.canSwitchDevice()">
                    {{'MOBILEAPP_SWITCH' | translate}}
                </label>
            </div>
            <hr class="forward-separator"/>
        </div>
        <div class="modal-dnd-option modal-option">
            <div> {{'FORWARD_TYPE_DND' | translate}}</div>
            <label class="switch">
                <input class="modal-checkbox" ng-click="ctrl.processDnd(currentUser)" type="checkbox" ng-model="currentUser.dndEnabled">
                <span class="slider round"></span>
            </label>
        </div>

        <hr class="forward-separator"/>

        <div class="modal-forward-all-option modal-option-extended">
            <div class="modal-option">
                <div> {{'FORWARD_TYPE_UNC' | translate}} </div>
                <label class="switch">
                    <input class="modal-checkbox" ng-click="ctrl.processUncFwd($event, currentUser)" type="checkbox"
                    ng-checked="currentUser.uncFwdEnabled">
                    <span class="slider round" ></span>
                </label>
            </div>
            <div class="modal-option-extension">
                <div class="modal-option-destination">{{'FORWARD_DESCRIPTION' | translate}}</div>
                <input ng-model="currentUser.uncFwdDestination" class="form-control text-center forward-type-number forward-unc"
                ng-change="ctrl.checkInputValue('uncFwd', currentUser)" type="text" placeholder="{{'FORWARD_PLACEHOLDER' | translate}}"/>
            </div>
        </div>
        <div class="modal-error-message">
            <span ng-show="uncFwdError">{{ uncFwdMessage | translate}}</span>
        </div>

        <div class="modal-forward-all-option modal-option-extended">
            <div class="modal-option">
                <div> {{'FORWARD_TYPE_NA' | translate}} </div>
                <label class="switch">
                    <input class="modal-checkbox" type="checkbox" ng-checked="currentUser.naFwdEnabled"
                    ng-click="ctrl.processNaFwd($event, currentUser)">
                    <span class="slider round"></span>
                </label>
            </div>
            <div class="modal-option-extension">
                <div class="modal-option-destination">{{'FORWARD_DESCRIPTION' | translate}}</div>
                <input ng-model="currentUser.naFwdDestination" class="form-control text-center forward-type-number forward-na"
                ng-change="ctrl.checkInputValue('naFwd', currentUser)" type="text" placeholder="{{'FORWARD_PLACEHOLDER' | translate}}"/>
            </div>
        </div>
        <div class="modal-error-message">
            <span ng-show="naFwdError">{{ naFwdMessage | translate}}</span>
        </div>

        <div class="modal-forward-note">{{'FORWARD_NOTE' | translate}}</div>

    </div>
    <div class="modal-footer forward-footer">
        <button class="btn btn-warning forward-cancel" ng-click="close()">{{'FORWARD_DISMISS' | translate}}</button>
    </div>
</script>
